Package co.aikar.timings

# Class TimingsReportListener

java.lang.Object
co.aikar.timings.TimingsReportListener

All Implemented Interfaces:
  `Audience`, `ForwardingAudience`, `Pointered`, `CommandSender`, `MessageCommandSender`, `Permissible`, `ServerOperator`

public class TimingsReportListener extends Object implements ForwardingAudience, MessageCommandSender

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.command.CommandSender

`CommandSender.Spigot`

## Nested classes/interfaces inherited from interface net.kyori.adventure.audience.ForwardingAudience

`ForwardingAudience.Single`

## Constructor Summary

Constructors
Constructor
Description
`TimingsReportListener(@NotNull List<CommandSender> senders)`
`TimingsReportListener(@NotNull List<CommandSender> senders, @Nullable Runnable onDone)`
`TimingsReportListener(@NotNull CommandSender senders)`
`TimingsReportListener(@NotNull CommandSender sender, @Nullable Runnable onDone)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConsoleIfNeeded()`
`@NotNull Iterable<? extends Audience>`
`audiences()`
Gets the audiences.
`void`
`done()`
`void`
`done(@Nullable String url)`
`@Nullable String`
`getTimingsURL()`
`void`
`sendMessage(@NotNull String message)`
Sends this sender a message
`void`
`sendMessage(Identity source, Component message, MessageType type)`
Sends a chat message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`openBook, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, showTitle, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`sendMessage, sendMessage`

### Methods inherited from interface net.kyori.adventure.audience.ForwardingAudience

`clearTitle, filterAudience, forEachAudience, hideBossBar, openBook, playSound, playSound, playSound, pointers, resetTitle, sendActionBar, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, stopSound`

### Methods inherited from interface org.bukkit.command.MessageCommandSender

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, getName, getServer, hasPermission, hasPermission, isOp, isPermissionSet, isPermissionSet, name, recalculatePermissions, removeAttachment, sendMessage, sendMessage, sendMessage, setOp, spigot`

### Methods inherited from interface org.bukkit.permissions.Permissible

`permissionValue, permissionValue`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom`

## Constructor Details

### TimingsReportListener

public TimingsReportListener(@NotNull @NotNull CommandSender senders)

### TimingsReportListener

public TimingsReportListener(@NotNull @NotNull CommandSender sender, @Nullable @Nullable Runnable onDone)

### TimingsReportListener

public TimingsReportListener(@NotNull @NotNull List<CommandSender> senders)

### TimingsReportListener

public TimingsReportListener(@NotNull @NotNull List<CommandSender> senders, @Nullable @Nullable Runnable onDone)

## Method Details

### getTimingsURL

@Nullable public @Nullable String getTimingsURL()

### done

public void done()

### done

public void done(@Nullable @Nullable String url)

### sendMessage

public void sendMessage(@NotNull Identity source, @NotNull Component message, @NotNull MessageType type)
Description copied from interface: `net.kyori.adventure.audience.Audience`
Sends a chat message.

Specified by:
  `sendMessage` in interface `Audience`
Specified by:
  `sendMessage` in interface `CommandSender`
Specified by:
  `sendMessage` in interface `ForwardingAudience`
Parameters:
  `source` - the identity of the source of the message
  `message` - a message
  `type` - the type
See Also:
  - `Component`

### audiences

@NotNull public @NotNull Iterable<? extends Audience> audiences()
Description copied from interface: `net.kyori.adventure.audience.ForwardingAudience`
Gets the audiences.

Specified by:
  `audiences` in interface `ForwardingAudience`
Returns:
  the audiences

### sendMessage

public void sendMessage(@NotNull @NotNull String message)
Description copied from interface: `CommandSender`
Sends this sender a message

Specified by:
  `sendMessage` in interface `CommandSender`
Parameters:
  `message` - Message to be displayed
See Also:
  - `Audience.sendMessage(net.kyori.adventure.text.Component)`

### addConsoleIfNeeded

public void addConsoleIfNeeded()